2020-08-07 13:44 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003037Quik[All Projects] Generalpublic2019-11-27 22:04
ReporterAkira 
Assigned ToCFOUProject InfoQuik (Stywos/Titus)
http://www.whdload.de/games/Quik.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Summary0003037: Game locks up after TITUS screen.
DescriptionGameVersion: english,pal,2 disks
SlaveVersion: version 1.2a (13.04.13)

Game locks up after TITUS screen.
TagsNo tags attached.
MachineA600
CPU68EC020
CPUSpeed14
ChipSetECS
GFXCardNone
ChipMem2 MB
FastMem10
WorkbenchOS 2.1
KickROM37 - Kick 2.0
KickSoft37 - Kick 2.0
WHDLoad17.2
importedyes
Attached Files

-Relationships
+Relationships

-Notes

note ~0004814

Akira (reporter)

Any new about this one?

note ~0005618

Akira (reporter)

Hello?
Reported in 2014, this and other bug assigned to CFOU, but no new slave, still 1.2a from 2013 (4 years ago).

If CFOU can't work on it, can someone else get assigned o the bug instead?

note ~0005619

SCO (reporter)

Aga and cd32 versions work at least.

note ~0005623

Akira (reporter)

ECS doesn't and it's been like this for way too long. The problem is, CFOU seems inactive but he has all these "assigned" jobs. Someone else should take over.

note ~0005970

Nibbler (reporter)

Same here :( - please fix

note ~0005973

StingRay (developer)

I'll take care of this.

note ~0005975

StingRay (developer)

Unfortunately I am not able to reproduce this. What exactly happens? Is the TITUS screen shown and nothing happens anymore? Or does the TITUS screen fade down and screen stays black?

note ~0005978

Nibbler (reporter)

The Titus Logo fades down. The STYWOX logo begins to fade in and right at the spot the fade in begins the Freeze occur.

The interesting thing is that this part works with the oldest WHDload.slave for this game, ( Quik-20010918.lha ) BUT the slave is still in AGA mode on ECS machines, so it become a total mess after you press "Start Game" .


PS:The STYWOX logo dosent fade as far as in the picture, its barley visible before it freezes.

note ~0005979

Nibbler (reporter)

hmmm, i thought i uploaded a picture of the logo. anyway. I think you get it.

note ~0007433

CFOU (developer)

Last edited: 2019-11-22 01:06

View 2 revisions

version 1.3 beta (xx.11.19)
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
To do
 - outro fix using start level (AGA/ECS) works with 68020 not with 68030+ (ECS/AGA)
 - fix exitkey in intro for 68000
 - add jump key for CD32
 - add key to exit after sucide
 -....

note ~0007441

CFOU (developer)

Hi can you test new beta version for ECS /AGA /CD32?

 version 1.3 beta (xx.11.19)
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library emulation used instead of library file (CD32)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)

To do
 - test with all config (already tested 68000 (ECS) 68030&68040 (ECS/AGA/CD32)
 - try to add optional slave with fast (warning trainer use absolute adresses)

note ~0007484

CFOU (developer)

here last beta for test:
added: Skip level/wait button/CD32Pad support for ECS/AGA

to do :
- fix ECS version (level 2 cactus)
- fix instability on 68000-68020 (ECS)

 version 1.2g (26.11.19)
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - CD32Pad support (ECS/AGA)
    CUSTOM3=4
 - skip intro possible using CUSTOM3=8
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library removed (not needed)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)
 - fix gfx bug in scrolling: Addq.w replaced by Addq.l (CD32)
   (when bitmap base go from $7xxxx to $8xxxx)
 - WaitButton support added (at inter level screens)

note ~0007491

CFOU (developer)

Last edited: 2019-11-26 16:01

View 4 revisions

>Nibbler

interesting:
"The interesting thing is that this part works with the oldest WHDload.slave for this game, ( Quik-20010918.lha ) BUT the slave is still in AGA mode on ECS machines, so it become a total mess after you press "Start Game" ."

I will investigate.

but, in my memory if i fix it, it's freeze on 68030+ ;)

perhaps just to do special fix for 68030+ but not for 68000-20.

but before, i will try to re-written original synchronisaition code using curious method via SR register modification (perhaps replacing original code by VBL interuption by example)

note ~0007494

CFOU (developer)

Last edited: 2019-11-26 20:08

View 2 revisions

>Nibbler & Akira

can you test beta 4?

It seems intro is fixed.

Tested 68000-68020-68030-60040 for ECS/AGA no freeze here and synchro is ok a600+68020 (winuae)

note ~0007497

Akira (reporter)

@CFOU, I'll try a test on my base system.

note ~0007499

CFOU (developer)

beta5

Fixe CD32 control (ECS/AGA):
- now you can jump, roll and tell at the same time
- now you can use UP in main menu

note ~0007510

CFOU (developer)

Beta 6
I hope final.

Can you test many option possibilities and all versions before final release?

newfeature:
    CUSTOM3=8 : Enhanced CD32Pad support
        PLay: Pause/Unpause game
        Forward+Reverse: leave current game
 - skip intro using CUSTOM3=16 (ECS/AGA)



V1.2i
 - trainer enhanced to add flight mode (ECS/AGA/CD32)
    CUSTOM1=x (to select start level (x=1 to 5)
    CUSTOM2=x (to select start stage (x=1 to 5)
    CUSTOM3=1 (to enable original cheat mode)
    CUSTOM3=2 (to enable flight mode)
    => pressing Jump button for ECS/AGA & FIRE button for CD32
 - CD32Pad support (ECS/AGA/CD32)
    CUSTOM3=4 : CD32Pad support
        Red Button for FIRE / Blue Button for JUMP
                                     + LCTRL/LALT for JUMP
    CUSTOM3=8 : Enhanced CD32Pad support
        PLay: Pause/Unpause game
        Forward+Reverse: leave current game

 - skip intro using CUSTOM3=16 (ECS/AGA)
 - some other stack & SR register modifications removed (AGA)
 - AGA restriction added for AGA/CD32
 - intro/outro fix (AGA/ECS)
 - Lowlevel.library removed (not needed)
 - keyboard interruption enable for exitkey support in outro (CD32)
 - SPC key added to retarts after suicide pressing 'X' key (ECS/AGA/CD32)
    (0004162)
 - Missing JUMP and FIRE key added (CD32): 0004162
    LCTRL: to jump
    SPACE: to fire
 - Exitkey for 68000 added (0003397)
 - fix gfx bug in scrolling: Addq.w replaced by Addq.l (CD32)
   (when bitmap base go from $7xxxx to $8xxxx)
 - Gfx bug on Quik when it passed behind object fixed (ECS)
 - WaitButton support added (inter level screens)

note ~0007526

CFOU (developer)

fixed with v1.3
+Notes

-Issue History
Date Modified Username Field Change
2014-07-23 21:45 administrator New Issue
2014-07-23 21:45 administrator Status new => assigned
2014-07-23 21:45 administrator Assigned To => CFOU
2016-01-23 18:31 Akira Note Added: 0004814
2017-07-06 23:23 Akira Note Added: 0005618
2017-07-09 13:16 SCO Note Added: 0005619
2017-07-11 17:36 Akira Note Added: 0005623
2018-01-01 13:55 Nibbler Note Added: 0005970
2018-01-01 18:44 StingRay Note Added: 0005973
2018-01-01 18:44 StingRay Assigned To CFOU => StingRay
2018-01-02 12:12 StingRay Note Added: 0005975
2018-01-03 17:01 Nibbler File Added: logo.jpg
2018-01-03 17:01 Nibbler Note Added: 0005978
2018-01-03 17:02 Nibbler File Added: logo-2.jpg
2018-01-03 17:02 Nibbler Note Added: 0005979
2019-06-24 11:42 StingRay Assigned To StingRay =>
2019-11-22 00:35 CFOU File Added: QuikBeta.lha
2019-11-22 00:35 CFOU Note Added: 0007433
2019-11-22 01:06 CFOU Note Edited: 0007433 View Revisions
2019-11-22 01:09 CFOU Assigned To => CFOU
2019-11-22 21:39 CFOU File Added: Quik-beta2.lha
2019-11-22 21:39 CFOU Note Added: 0007441
2019-11-26 14:23 CFOU File Added: quik-Beta3.lha
2019-11-26 14:23 CFOU Note Added: 0007484
2019-11-26 15:56 CFOU Note Added: 0007491
2019-11-26 16:00 CFOU Note Edited: 0007491 View Revisions
2019-11-26 16:00 CFOU Note Edited: 0007491 View Revisions
2019-11-26 16:01 CFOU Note Edited: 0007491 View Revisions
2019-11-26 19:28 CFOU File Added: quik-beta4-ecs-aga.lha
2019-11-26 19:28 CFOU Note Added: 0007494
2019-11-26 19:32 Akira Note Added: 0007497
2019-11-26 20:08 CFOU Note Edited: 0007494 View Revisions
2019-11-26 22:21 CFOU File Added: Quik-beta5.lha
2019-11-26 22:21 CFOU Note Added: 0007499
2019-11-27 01:24 CFOU File Added: quik-beta6.lha
2019-11-27 01:24 CFOU Note Added: 0007510
2019-11-27 22:04 CFOU Status assigned => closed
2019-11-27 22:04 CFOU Resolution open => fixed
2019-11-27 22:04 CFOU Note Added: 0007526
+Issue History